**Full name**: projects.locations.processors.batchProcess

LRO endpoint to batch process many documents. The output is written to Cloud Storage as JSON in the \[Document\] format.

### HTTP request

Choose a location:
<button value="global" default="">global</button> <button value="us">us</button> <button value="eu">eu</button> <button value="asia-south1">asia-south1</button> <button value="asia-southeast1">asia-southeast1</button> <button value="northamerica-northeast1">northamerica-northeast1</button> <button value="australia-southeast1">australia-southeast1</button> <button value="europe-west2">europe-west2</button> <button value="europe-west3">europe-west3</button>   
`POST https://documentai.googleapis.com/v1beta3/{name}:batchProcess`

<br />

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of `https://docs.cloud.google.com/document-ai/docs/reference/rest/Shared.Types/Processor` or `https://docs.cloud.google.com/document-ai/docs/reference/rest/Shared.Types/ProcessorVersion`. Format: `projects/{project}/locations/{location}/processors/{processor}`, or `projects/{project}/locations/{location}/processors/{processor}/processorVersions/{processorVersion}` It takes the form `projects/{project}/locations/{location}/processors/{processor}`. Authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions on the specified resource `name`: - `documentai.processors.processBatch` - `documentai.processorVersions.processBatch` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "inputConfigs": [ { object (`https://docs.cloud.google.com/document-ai/docs/reference/rest/v1beta3/BatchInputConfig`) } ], "outputConfig": { object (`https://docs.cloud.google.com/document-ai/docs/reference/rest/v1beta3/BatchOutputConfig`) }, "inputDocuments": { object (`https://docs.cloud.google.com/document-ai/docs/reference/rest/v1beta3/BatchDocumentsInputConfig`) }, "documentOutputConfig": { object (`https://docs.cloud.google.com/document-ai/docs/reference/rest/v1beta3/DocumentOutputConfig`) }, "skipHumanReview": boolean, "processOptions": { object (`https://docs.cloud.google.com/document-ai/docs/reference/rest/v1beta3/ProcessOptions`) }, "labels": { string: string, ... } } ``` |

| Fields ||
|---|---|
| `inputConfigs[] (deprecated)` | ``object (`https://docs.cloud.google.com/document-ai/docs/reference/rest/v1beta3/BatchInputConfig`)`` The input config for each single document in the batch process. |
| `outputConfig (deprecated)` | ``object (`https://docs.cloud.google.com/document-ai/docs/reference/rest/v1beta3/BatchOutputConfig`)`` The overall output config for batch process. |
| `inputDocuments` | ``object (`https://docs.cloud.google.com/document-ai/docs/reference/rest/v1beta3/BatchDocumentsInputConfig`)`` The input documents for the `https://docs.cloud.google.com/document-ai/docs/reference/rest/v1beta3/projects.locations.processors/batchProcess#google.cloud.documentai.v1beta3.DocumentProcessorService.BatchProcessDocuments` method. |
| `documentOutputConfig` | ``object (`https://docs.cloud.google.com/document-ai/docs/reference/rest/v1beta3/DocumentOutputConfig`)`` The output configuration for the `https://docs.cloud.google.com/document-ai/docs/reference/rest/v1beta3/projects.locations.processors/batchProcess#google.cloud.documentai.v1beta3.DocumentProcessorService.BatchProcessDocuments` method. |
| `skipHumanReview (deprecated)` | `boolean` Whether human review should be skipped for this request. Default to `false`. |
| `processOptions` | ``object (`https://docs.cloud.google.com/document-ai/docs/reference/rest/v1beta3/ProcessOptions`)`` Inference-time options for the process API |
| `labels` | `map (key: string, value: string)` Optional. The labels with user-defined metadata for the request. Label keys and values can be no longer than 63 characters (Unicode codepoints) and can only contain lowercase letters, numeric characters, underscores, and dashes. International characters are allowed. Label values are optional. Label keys must start with a letter. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/document-ai/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires **one of** the following [IAM](https://cloud.google.com/iam/docs) permissions on the `name` resource, depending on the resource type:

- `documentai.processors.processBatch`
- `documentai.processorVersions.processBatch`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).